package cmm.service;

import java.util.List;

import org.json.JSONObject;

import cmm.util.DataMap;


public interface CmmApiService {
	JSONObject getCultureinfoApiList(DataMap paramMap);
    JSONObject getDissForecastInfoList(DataMap paramMap);
    DataMap getCtprvnMesureSidoList(String sido, String dataTime);
	DataMap getForecastTimeDataList(String baseDate, String baseTime, String nx, String ny);
    DataMap getNaverApiGeocode(DataMap paramMap);
    DataMap getNaverApiReversegeocode(DataMap paramMap);
    DataMap getNaverApiJuso(DataMap paramMap);
    DataMap getNaverApiSearch(DataMap paramMap);
    List<DataMap> getToolsApiNews(DataMap paramMap);
    DataMap getGiaList(DataMap paramMap);
    DataMap getGiaDetailCommon(DataMap paramMap);
    DataMap getGiaDetailIntro(DataMap paramMap);
    DataMap getGiaDetailInfo(DataMap paramMap);
    DataMap getGiaDetailImage(DataMap paramMap);
}
